## ros-kinetic-urdf 1.12.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(urdf)

find_package(Boost REQUIRED thread)
find_package(urdfdom REQUIRED)
find_package(urdfdom_headers REQUIRED)
find_package(catkin REQUIRED COMPONENTS
  urdf_parser_plugin pluginlib rosconsole_bridge roscpp cmake_modules)


find_package(TinyXML REQUIRED)

# Find version components
if(NOT urdfdom_headers_VERSION)
set(urdfdom_headers_VERSION "0.0.0")
endif()
string(REGEX REPLACE "^([0-9]+).*" "\\1" URDFDOM_HEADERS_MAJOR_VERSION "${urdfdom_headers_VERSION}")
string(REGEX REPLACE "^[0-9]+\\.([0-9]+).*" "\\1" URDFDOM_HEADERS_MINOR_VERSION "${urdfdom_headers_VERSION}")
string(REGEX REPLACE "^[0-9]+\\.[0-9]+\\.([0-9]+).*" "\\1" URDFDOM_HEADERS_REVISION_VERSION "${urdfdom_headers_VERSION}")
set(generated_compat_header "${CATKIN_DEVEL_PREFIX}/include/${PROJECT_NAME}/urdfdom_compatibility.h")
include_directories("${CATKIN_DEVEL_PREFIX}/include")
configure_file(urdfdom_compatibility.h.in "${generated_compat_header}" @ONLY)

add_compile_options(-std=c++11)

catkin_package(
  LIBRARIES ${PROJECT_NAME}
  INCLUDE_DIRS include ${CATKIN_DEVEL_PREFIX}/include
  CATKIN_DEPENDS rosconsole_bridge roscpp
  DEPENDS urdfdom_headers urdfdom Boost TinyXML
)
install(FILES ${generated_compat_header} DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

include_directories(
  include
  ${Boost_INCLUDE_DIR}
  ${catkin_INCLUDE_DIRS}
  ${urdfdom_INCLUDE_DIRS}
  ${urdfdom_headers_INCLUDE_DIRS}
  ${TinyXML_INCLUDE_DIRS}
  )

link_directories(${Boost_LIBRARY_DIRS} ${catkin_LIBRARY_DIRS})

add_library(${PROJECT_NAME} src/model.cpp src/rosconsole_bridge.cpp)
target_link_libraries(${PROJECT_NAME} ${TinyXML_LIBRARIES} ${catkin_LIBRARIES} ${urdfdom_LIBRARIES})

if(APPLE)
  set_target_properties(${PROJECT_NAME} PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
endif(APPLE)

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest)
  add_rostest_gtest(test_urdf_parser test/test_robot_model_parser.launch test/test_robot_model_parser.cpp)
  target_link_libraries(test_urdf_parser ${PROJECT_NAME})

  catkin_add_gtest(urdfdom_compatibility_test test/urdfdom_compatibility.cpp)
endif()

# no idea how CATKIN does this
# rosbuild_add_rostest(${PROJECT_SOURCE_DIR}/test/test_robot_model_parser.launch)

install(TARGETS ${PROJECT_NAME} 
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-kinetic-urdf (1.12.12-0xenial) xenial; urgency=high

  * Switched to package format 2 and made rostest a test_depend (#221 <https://github.com/ros/robot_model/pull/221>)
  * Made rostest a test_depend (#221 <https://github.com/ros/robot_model/pull/221>)
  * Added missing dependency on tinyxml (#213 <https://github.com/ros/robot_model/pull/213>)
  * Contributors: Chris Lalancette, Mikael Arguedas

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 08 Nov 2017 08:00:00 -0000

ros-kinetic-urdf (1.12.11-0xenial) xenial; urgency=high

  * Shared ptr yakkety (#207 <https://github.com/ros/robot_model/issues/207>)
    * Forward declare urdf::Model when urdfdom version is > 0.4
    * Add test for upcasting from urdf::ModelSharedPtr to urdf::ModelInterfaceSharedPtr
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 27 Jun 2017 07:00:00 -0000

ros-kinetic-urdf (1.12.10-0xenial) xenial; urgency=high

  * Change urdf::Model to use std::shared_ptrs in urdfdom > v0.4 (#206 <https://github.com/ros/robot_model/issues/206>)
  * Contributors: Dave Coleman

 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 24 Jun 2017 07:00:00 -0000

ros-kinetic-urdf (1.12.9-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 26 Apr 2017 07:00:00 -0000

ros-kinetic-urdf (1.12.8-0xenial) xenial; urgency=high

  * Allow supplying NodeHandle for initParam (#168 <https://github.com/ros/robot_model/issues/168>)
    * Allow supplying NodeHandle for initParam using new function.
    * fixed missing return statement in previous commit.
  * add Chris and Shane as maintainers (#184 <https://github.com/ros/robot_model/issues/184>)
  * fix missed mandatory -std=c++11 flag (#181 <https://github.com/ros/robot_model/issues/181>)
    collada_parser,kdl_parser,urdf: add c++11 flag,
    collada_parser: replace typeof with ansi __typeof__
    builded/tested on gentoo
    Thanks den4ix for the contribution!
  * Contributors: Denis Romanchuk, Piyush Khandelwal, William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 27 Mar 2017 07:00:00 -0000

ros-kinetic-urdf (1.12.7-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 26 Jan 2017 08:00:00 -0000

ros-kinetic-urdf (1.12.6-0xenial) xenial; urgency=high

  * Addressed gcc6 build error in the urdf package, forward port of #156 <https://github.com/ros/robot_model/issues/156> (#173 <https://github.com/ros/robot_model/issues/173>)
  * Now using ``urdf::*ShredPtr`` instead of ``boost::shared_ptr`` (#144 <https://github.com/ros/robot_model/issues/144>)
  * Contributors: Jochen Sprickerhof, William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 04 Jan 2017 08:00:00 -0000

ros-kinetic-urdf (1.12.5-0xenial) xenial; urgency=high

  * Added urdf_compatibility.h header to define SharedPtr types (#160 <https://github.com/ros/robot_model/issues/160>)
    This provides portability for downstream packages allowing them to use urdfdom 0.3 or 0.4.
  * urdf: Explicitly cast shared_ptr to bool in unit test. (#158 <https://github.com/ros/robot_model/issues/158>)
  * Add smart ptr typedefs (#153 <https://github.com/ros/robot_model/issues/153>)
  * Addressed gcc6 build error in urdf which was related to use of the isystem flag (#157 <https://github.com/ros/robot_model/issues/157>)
  * Remove unneeded dependency on libpcrecpp (#155 <https://github.com/ros/robot_model/issues/155>)
  * Contributors: Bence Magyar, Jochen Sprickerhof, Lukas Bulwahn, Maarten de Vries, Robert Haschke

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 27 Oct 2016 07:00:00 -0000

ros-kinetic-urdf (1.12.4-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 23 Aug 2016 07:00:00 -0000

ros-kinetic-urdf (1.12.3-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Jun 2016 07:00:00 -0000

ros-kinetic-urdf (1.12.2-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 12 Apr 2016 07:00:00 -0000

ros-kinetic-urdf (1.12.1-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 10 Apr 2016 07:00:00 -0000

ros-kinetic-urdf (1.11.8-0xenial) xenial; urgency=high

  * Removed pcre hack for newer released collada-dom.
  * Fixed link order of libpcrecpp.
  * Contributors: Kei Okada

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 11 Sep 2015 07:00:00 -0000

ros-kinetic-urdf (1.11.7-0xenial) xenial; urgency=high

  * Removed the exporting of Boost and pcre as they are not used in the headers, and added TinyXML because it is.
  * Fixed a bug with pcrecpp on Ubuntu > 13.04.
  * Contributors: Kei Okada, William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 22 Apr 2015 07:00:00 -0000

ros-kinetic-urdf (1.11.6-0xenial) xenial; urgency=high

  * Add install for static libs needed for Android cross-compilation
  * Contributors: Gary Servin

 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 30 Nov 2014 08:00:00 -0000

ros-kinetic-urdf (1.11.5-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 24 Jul 2014 07:00:00 -0000

ros-kinetic-urdf (1.11.4-0xenial) xenial; urgency=high

  * moving to new dependency for urdfdom and urdfdom_headers. https://github.com/ros/rosdistro/issues/4633
  * Contributors: Tully Foote

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 07 Jul 2014 07:00:00 -0000

ros-kinetic-urdf (1.11.3-0xenial) xenial; urgency=high

  * fix urdfdom_headers find_package re ros/rosdistro#4633 <https://github.com/ros/rosdistro/issues/4633>
  * Contributors: Tully Foote

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 24 Jun 2014 07:00:00 -0000

ros-kinetic-urdf (1.11.2-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 22 Mar 2014 07:00:00 -0000



=== debian/control ===
Source: ros-kinetic-urdf
Section: misc
Priority: extra
Maintainer: Chris Lalancette <clalancette@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libtinyxml-dev, liburdfdom-dev, liburdfdom-headers-dev, ros-kinetic-catkin (>= 0.5.68), ros-kinetic-cmake-modules, ros-kinetic-pluginlib, ros-kinetic-rosconsole-bridge, ros-kinetic-roscpp, ros-kinetic-rostest, ros-kinetic-urdf-parser-plugin
Homepage: http://ros.org/wiki/urdf
Standards-Version: 3.9.2

Package: ros-kinetic-urdf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtinyxml-dev, liburdfdom-dev, liburdfdom-headers-dev, ros-kinetic-pluginlib, ros-kinetic-rosconsole-bridge, ros-kinetic-roscpp
Description: This package contains a C++ parser for the Unified Robot Description Format (URDF), which is an XML format for representing a robot model.
 The code API of the parser has been through our review process and will remain backwards compatible in future releases.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-urdf//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
